National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2008-2380 Detail

Current Description

SQL injection vulnerability in authpgsqllib.c in Courier-Authlib before 0.62.0, when a non-Latin locale Postgres database is used, allows remote attackers to execute arbitrary SQL commands via query parameters containing apostrophes.

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 5.1 MEDIUM
Vector: (AV:N/AC:H/Au:N/C:P/I:P/A:P) (V2 legend)
Impact Subscore: 6.4
Exploitability Subscore: 4.9


Access Vector (AV): Network
Access Complexity (AC): High
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): Partial
Availability (A): Partial
Additional Information:
Provides unauthorized access
Allows unauthorized disclosure of information
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://security.gentoo.org/glsa/glsa-200903-25.xml
http://www.courier-mta.org/authlib/changelog.html Vendor Advisory
http://www.securityfocus.com/bid/32926 Patch
https://exchange.xforce.ibmcloud.com/vulnerabilities/47494

Technical Details

Vulnerability Type (View All)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:courier-mta:courtier-authlib:0.52:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.53:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.54:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.55:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.56:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.57:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.58:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.59:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.59.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.59.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.59.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.60:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.60.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.60.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.60.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.60.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.60.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.60.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.61.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:courier-mta:courtier-authlib:0.61.1:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2008-2380
NVD Published Date:
12/22/2008
NVD Last Modified:
08/07/2017